### Constructor

# Gdk.Surface.new_toplevel

#### Declaration [src]

    GdkSurface*
    gdk_surface_new_toplevel (
      GdkDisplay* display
    )

#### Description [src]

Creates a new toplevel surface.

#### Parameters

`display` | `GdkDisplay`
| the display to create the surface on
| Ownership is not transferred to the callee

#### Return value

Returns: `GdkSurface`
the new `GdkSurface`
Ownership of the data is transferred to the caller